
using Godot;
using System.Collections.Generic;

namespace Rokojori
{  
  [Tool]
  [GlobalClass, Icon("res://addons/rokojori_action_library/Icons/Sensor.svg")]
  public partial class InputIconDefinition: Resource
  { 
    public virtual bool HasIconFor( InputIcon icon )
    {
      return false;
    }

    public virtual int ResolveIcons( int offset, List<InputIcon> icons )
    {
      return -1;
    }

    public virtual List<IconElement> GetIconElementsForIcon( InputIcon icon )
    {
      return new List<IconElement>();
    }

  }

}

